Add Application

Add Application
Create an application

Application is a group of tiers. A tier is a group of virtual machines or IP addresses based on membership criteria. Tiers are bound to a single application. An application name is unique and should not conflict with another application name.

Request
URI
POST
https://{api_host}/api/ni/groups/applications
COPY
Request Body
ApplicationRequest of type(s) application/json
Required
{
    "name": "My-3Tier-App"
}
string
name
Required

The name of the application

Authentication
This operation uses the following authentication methods.
Responses
201

Created

Returns Application of type(s) application/json
This response body class contains all of the following: BaseEntity , InlineApplication1
{
    "entity_id": "18230:561:271275765",
    "name": "App-1",
    "entity_type": "Application",
    "create_time": 1509410056733,
    "created_by": "admin@local",
    "last_modified_time": 0,
    "last_modified_by": "",
    "last_modified_by_service": ""
}

400

Bad Request

Returns BadRequestResponse of type(s) application/json
{
    "code": 0,
    "message": "string",
    "details": [
        {
            "code": 0,
            "message": "string",
            "target": [
                "string"
            ]
        }
    ]
}
integer As int32 As int32
code
Optional

code

string
message
Optional

message

array of object
details
Optional

details


401

Unauthorized

Returns UnauthorizedResponse of type(s) application/json
{
    "code": 0,
    "message": "string",
    "details": [
        {
            "code": 0,
            "message": "string",
            "target": [
                "string"
            ]
        }
    ]
}
integer As int32 As int32
code
Optional

code

string
message
Optional

message

array of object
details
Optional

details


500

Internal error

Returns InternalErrorResponse of type(s) application/json
{
    "code": 0,
    "message": "string",
    "details": [
        {
            "code": 0,
            "message": "string",
            "target": [
                "string"
            ]
        }
    ]
}
integer As int32 As int32
code
Optional

code

string
message
Optional

message

array of object
details
Optional

details


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"name":"string"}' https://{api_host}/api/ni/groups/applications